Name:		gzip
Summary:	The GNU data compression program
Version:	1.5
Release:	%mkrel 3
Source0:	ftp://ftp.gnu.org/gnu/gzip/gzip-%{version}.tar.xz
Source1:	ftp://ftp.gnu.org/gnu/gzip/gzip-%{version}.tar.xz.sig
Patch0:		gzip-1.3.12-openbsd-owl-tmp.patch
Patch1:		gzip-1.3.5-zforce.patch
Patch4:		gzip-1.5-zgreppipe.patch
Patch5:		gzip-1.5-rsync.patch
Patch6:		gzip-1.3.3-window-size.patch
Patch7:		gzip-1.5-addsuffix.patch
Patch12:	gzip-1.3.5-cve-2006-4335.patch
Patch13:	gzip-1.5-cve-2006-4336.patch
Patch14:	gzip-1.5-cve-2006-4338.patch
Patch15:	gzip-1.5-cve-2006-4337.patch
Patch16:	gzip-1.5-cve-2006-4337_len.patch
Patch17:	gzip-1.5-CVE-2009-2624-1.diff
URL:		http://www.gnu.org/software/gzip/
License:	GPLv3+
Group:		Archiving/Compression
Requires(pre):	filesystem >= 2.1.9-18
Requires(pre):	info-install
Requires(preun): info-install
Requires:	mktemp less
BuildRequires:	texinfo

%description
The gzip package contains the popular GNU gzip data compression
program. Gzipped files have a .gz extension.  

Gzip should be installed on your Mageia system, because it is a
very commonly used data compression program.

%prep
%setup -q
%patch0 -p1 -b .owl-tmp
%patch1 -p0 -b .zforce
%patch4 -p1 -b .nixi
%patch5 -p1 -b .rsync
%patch6 -p1 -b .window-size
%patch7 -p1 -b .addsuffix
%patch12 -p1 -b .4335
%patch13 -p1 -b .4336
%patch14 -p1 -b .4338
%patch15 -p1 -b .4337
%patch16 -p1 -b .4337l
%patch17 -p0 -b .CVE-2009-2624-1

%build
export DEFS="-DNO_ASM"
export CPPFLAGS="-DHAVE_LSTAT"

%configure2_5x

%make

%check
make check

%install
rm -rf %{buildroot}

%makeinstall_std 

for i in zcmp zdiff zforce zgrep zmore znew ; do
	sed -i -e "s|%{buildroot}||g" %{buildroot}%{_bindir}/$i
	chmod 755 %{buildroot}%{_bindir}/$i
done

# uncompress is a part of ncompress package
rm -f %{buildroot}%{_bindir}/uncompress

cat > %{buildroot}%{_bindir}/zless <<EOF
#!/bin/sh
export LESSOPEN="|lesspipe.sh %s"
less "\$@"
EOF
chmod 755 %{buildroot}%{_bindir}/zless


%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%clean
rm -rf %{buildroot}

%files
%doc NEWS README AUTHORS ChangeLog
%{_bindir}/*
%{_mandir}/*/*
%{_infodir}/*




%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.5-3.mga3
+ Revision: 353065
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 21 2012 colin <colin> 1.5-2.mga3
+ Revision: 273158
- Update for usrmove

* Tue Jun 19 2012 luigiwalser <luigiwalser> 1.5-1.mga3
+ Revision: 261930
- 1.5
- update URLs
- remove patch3 (better fix upstream)
- rediff patch4
- rediff patch5
- rediff patch7
- rediff patch13
- rediff patch14
- rediff patch15
- rediff patch16
- rediff patch17

* Fri Jan 07 2011 tmb <tmb> 1.4-3.mga2
+ Revision: 270
- imported package gzip

